주요 콘텐츠로 건너뛰기

AI 모델 값

Aether API에서 사용 가능한 AI 모델과 각 모델의 특성을 설명합니다.

AiModelType 열거형

이미지 생성 요청에 사용할 수 있는 AI 모델 목록입니다.

모델 값설명
GPT Image 1.5OpenAI GPT Image 1.5 모델
Grok ImaginexAI Grok Imagine 모델
Grok Imagine ProxAI Grok Imagine Pro 모델
Nano BananaNano Banana 모델
Nano Banana 2Nano Banana 2 모델
Nano Banana ProNano Banana Pro 모델

참조 이미지 제한

각 모델별로 ref_images 매개변수에 허용되는 최대 이미지 수가 다릅니다.

모델최대 참조 이미지 수
GPT Image 1.510개
Grok Imagine5개
Grok Imagine Pro1개
Nano Banana10개
Nano Banana 210개
Nano Banana Pro10개

요청 예시

기본 생성

curl -X POST "https://api.aetherforgeai.com/public/v1/generate" \
-H "Authorization: Bearer your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A beautiful sunset over mountains",
"ai_model": "GPT Image 1.5"
}'

참조 이미지 포함 (Grok Imagine Pro)

curl -X POST "https://api.aetherforgeai.com/public/v1/generate" \
-H "Authorization: Bearer your_api_key_here" \
-F "prompt=A cat in the style of the reference image" \
-F "ai_model=Grok Imagine Pro" \
-F "[email protected]"

참조 이미지 포함 (GPT Image 1.5 - 최대 10개)

curl -X POST "https://api.aetherforgeai.com/public/v1/generate" \
-H "Authorization: Bearer your_api_key_here" \
-F "prompt=A landscape combining these styles" \
-F "ai_model=GPT Image 1.5" \
-F "[email protected]" \
-F "[email protected]" \
-F "[email protected]"

오류 응답

400 Bad Request - 참조 이미지 초과

모델의 최대 참조 이미지 수를 초과한 경우 반환됩니다.

Grok Imagine Pro 예시:

{
"detail": "The Grok Imagine Pro model supports up to 1 ref_images."
}

일반 제한 예시:

{
"detail": "ref_images supports up to 10 images only"
}

모델 선택 가이드

사용 사례권장 모델
고품질 일반 이미지 생성GPT Image 1.5
스타일 참조가 필요한 경우Grok Imagine (최대 5개)
단일 참조 이미지로 고품질 결과Grok Imagine Pro
다중 참조 이미지가 필요한 경우Nano Banana 계열 (최대 10개)

관련 문서